package com.huatek.busi.dao;

import org.springframework.stereotype.Repository;
import org.springframework.util.StringUtils;

import com.huatek.busi.entity.TransformerEpaDataCache;
import com.huatek.torch.sql.dao.impl.BaseDao;
import com.huatek.torch.util.uuid.Uuid;

/**
 * 变压器油色谱暂存数据（类型编码 ：021002） Dao
 *
 * @author anker_cheng
 * @date Jul 15, 2019 1:48:49 PM
 */
@Repository
public class TransformerEpaDataCacheDao extends BaseDao<TransformerEpaDataCache, String> {

    public int saveOrUpdate(TransformerEpaDataCache entity) {
        if (StringUtils.isEmpty(entity.getId())) {
            entity.setId(Uuid.getUUID());
            return this.add(entity);
        }
        return this.updateLocal(entity);
    }
}
